Subject: Re: [PATCH 02/13] cat-file: make --allow-unknown-type a noop

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 May 2025 09:47:36 -0700

Jeff King <[email-masked]> writes:

> However, we can't just rip out the option entirely. That would hurt a
> caller who ran:
>
>   git cat-file -t --allow-unknown-object <oid>
>
> and fed it normal, well-formed objects. There --allow-unknown-type was
> doing nothing, but we wouldn't want to start bailing with an error. So
> to protect any such callers, we'll retain --allow-unknown-type as a
> noop.

Heh, unlike my usual self, I started reading this patch from the
changes before coming back to the proposed log message, and was
wondering why we still take the option.  It is obvious when the
reason is spelled out like the above and I fully support it.  My
sense of backward compatibility may have deteriorated over time X-<.